<?xml version='1.0' encoding='UTF-8' ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"

      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <h:outputStylesheet library="css" name="default.css"/>
        <h:outputStylesheet library="css" name="cssLayout.css"/>
        <title>Livraria</title>
    </h:head>

    <h:body>

        <p:ajaxStatus styleClass="ajax-status">
            <f:facet name="start">
                <h:graphicImage library="imagens" name="loading1.gif" />
            </f:facet>
            <f:facet name="complete">
                <h:outputText value="" />
            </f:facet>
        </p:ajaxStatus>

        <h:form>  

            <div id="top" class="top">

                <h:outputText class="logo_texto" value="Livraria" />

            </div>

            <p:growl id="messages"/>

            <p:menubar>
                <p:submenu label="Cadastro" icon="ui-icon-contact">
                    <p:submenu label="Genero" >
                        <p:menuitem value="Gerenciar" outcome="/genero/cadastro" />
                    </p:submenu>
                    <p:separator />
                    <p:submenu label="Autores" >
                        <p:menuitem value="Gerenciar" outcome="/autor/gerenciar" />
                    </p:submenu>
                    <p:separator />
                    <p:submenu label="Livros" >
                        <p:menuitem value="Gerenciar" outcome="/livro/cadastro" />
                    </p:submenu>
                    <p:separator />
                    <p:submenu label="Clientes" >
                        <p:menuitem value="Gerenciar" outcome="/cliente/cadastro" />
                    </p:submenu>

                </p:submenu>

                <p:submenu label="Editar" icon="ui-icon-pencil">
                    <p:menuitem value="Desfazer" url="#" icon="ui-icon-arrowreturnthick-1-w" />
                    <p:menuitem value="Refazer" url="#" icon="ui-icon-arrowreturnthick-1-e" />
                </p:submenu>

                <p:submenu label="Ações" icon="ui-icon-gear">
                    <p:submenu label="Ajax" icon="ui-icon-refresh">
                        <p:menuitem value="Salvar" actionListener="#{menuView.save}" icon="ui-icon-disk" update="messages"/>
                        <p:menuitem value="Atualizar" actionListener="#{menuView.update}" icon="ui-icon-arrowrefresh-1-w" update="messages"/>
                    </p:submenu>
                    <p:submenu label="Non-Ajax" icon="ui-icon-newwin">
                        <p:menuitem value="Deletar" actionListener="#{menuView.delete}" icon="ui-icon-close" update="messages" ajax="false"/>
                    </p:submenu>
                </p:submenu>

                <p:submenu label="Ajuda" icon="ui-icon-help">
                    <p:menuitem value="Conteúdo" url="#" />
                    <p:submenu label="Buscar" icon="ui-icon-search">
                        <p:submenu label="Texto">
                            <p:menuitem value="Área de trabalho
                                        " url="#" />
                        </p:submenu>
                        <p:menuitem value="Arquivo" url="#" />
                    </p:submenu>
                </p:submenu>



                <p:menuitem value="Sair" url="http://www.primefaces.org" icon="ui-icon-close" />

                <f:facet name="options">
                    <p:inputText style="margin-right:10px" placeholder="Pesquisar"/>
                    <p:commandButton type="button" value="Sair" icon="ui-icon-extlink" />
                </f:facet>
            </p:menubar>
        </h:form>




        <div id="content" class="center_content">
            <h:form prependId="false" id="form">
                <p:growl autoUpdate="false" id="growl" />

                <ui:insert name="content">conteudo</ui:insert>
            </h:form>
        </div>

    </h:body>

</html>
